% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{df_children}
\alias{df_children}
\title{Example of WHO Model Disability Survey data for children}
\format{
A tibble with 2500 rows and 42 variables:
\describe{
  \item{HHID}{household number}
  \item{strata}{survey strata}
  \item{PSU}{PSU id}
  \item{weight}{survey weights}
  \item{sex}{sex, Male or Female}
  \item{age}{age in years}
  \item{age_cat}{age catgory, one of "Age2to4", "Age5to9", or "Age10to17"}
  \emph{Functioning section: On a scale from 1 (none) to 5 (extreme), in the last 30 days, taking into account any help or support the child receives, compared with children of the same age, how much has of a problem it been for the child to...}
  \item{child1}{...walk?}
  \item{child2}{...manipulat small objects or opening a container?}
  \item{child3}{...see things from a long distance?}
  \item{child4}{...hear?}
  \item{child5}{...feel pain?}
  \item{child6}{...not have enough energy?}
  \item{child7}{...have too much energy}
  \item{child8}{...feel short of breath?}
  \item{child9}{...feel sad, down or depressed?}
  \item{child10}{...feel worried, nervous or anxious?}
  \item{child11}{...(for children aged 5 to 17) wash or dress him- or herself?}
  \item{child12}{...(for children aged 2 to 4) bite or hit other children or adults?}
  \item{child13}{...(for children aged 5 to 17) control his or her own behavior?}
  \item{child14}{...(for children aged 5 to 17) get along with children of the same age?}
  \item{child15}{...(for children aged 2 to 4) understand what you say to him or her?}
  \item{child16}{(for children aged 2 to 4) How much of a problem has it been for you to understand what the child says?}
  \item{child17}{...(for children aged 5 to 17) understand other people?}
  \item{child18}{...(for children aged 5 to 17) be understood?}
  \item{child19}{...(for children aged 2 to 3) learn the names of household objects?}
  \item{child20}{...(for children aged 3 to 17) learn to do new things?}
  \item{child21}{...(for children aged 5 to 17) complete a task?}
  \item{child22}{...(for children aged 5 to 17) make changes to his or her routine?}
  \item{child23}{...(for children aged 5 to 17) do homework as requested at school?}
  \item{child24}{...(for children aged 2 to 5) play with toys or domestic objects?}
  \item{child25}{...(for children aged 2 to 12) play with other children?}
  \item{child26}{...(for children aged 13 to 17) do activities with other children?}
  \item{child27}{...(for children aged 5 to 17) participate in community activities?}
  \emph{Capacity section: On a scale from 1 (none) to 5 (extreme), in the last 30 days, without taking into account any help or support the child receives, how much has difficulty has the child had with...}
  \item{child28}{...seeing without glasses?}
  \item{child29}{...hearing without hearing aids?}
  \item{child30}{...walking?}
  \item{child31}{...understanding you or others?}
  \item{child32}{...learning?}
  \item{child33}{...controling his or her behavior?}
  \item{child34}{...completing a task?}
  \item{child35}{...getting along with other children?}
}
}
\usage{
df_children
}
\description{
An dummy data set of data from the WHO Model Disability Survey for children.  All survey variables and demographic characterstics (except age variables) are randomly generated. Responses to the survey questions and age variables are from randomly selected rows of the 2014 Chilean implementation of the MDS, ENDIS II (2014).
}
\keyword{datasets}
